#
# Copyright (C) 2016 Conjur Inc
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including without limitation the rights to
# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
# the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
require 'conjur/policy_loader_job'

module Conjur
  class API
    # Options:
    # +mode+ loading mode, e.g. +dry-run+ or +load+.
    def create_policy_loader_job options={}
      resp = RestClient::Resource.new(Conjur.configuration.policy_loader_url, credentials)['jobs'].post(options)
      Conjur::PolicyLoaderJob.new(resp.headers[:location], credentials)
    end
    
    def policy_loader_job id
      job_resource = RestClient::Resource.new(Conjur.configuration.policy_loader_url, credentials)['jobs'][id]
      Conjur::PolicyLoaderJob.new(job_resource.url, credentials)
    end
  end
end
